Bug 1256354 - Volume group "fedora_dhcp4100" has insufficient free space (542 extents): 543 required
Volume group "fedora_dhcp4100" has insufficient free space (542 extents): 543...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 08:09 EDT by Vojtech Trefny
Modified: 2017-08-08 08:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:09:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
blivet.log (290.94 KB, text/plain)
2015-08-24 08:10 EDT, Vojtech Trefny
no flags Details
program.log (27.07 KB, text/plain)
2015-08-24 08:10 EDT, Vojtech Trefny
no flags Details
python-meh exception dump (437.55 KB, text/plain)
2015-08-24 08:11 EDT, Vojtech Trefny
no flags Details

  None (edit)
Description Vojtech Trefny 2015-08-24 08:09:40 EDT
Description of problem:

Blivet fails when trying to create a LVM ThinPool using all available free space in the VG.

----------------------------
Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 395, in wrapped
    ret = orig_obj(*args, **kwargs)
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 226, in lvm_thpoolcreate
    return _lvm_thpoolcreate(vg_name, lv_name, size, md_size, chunk_size, profile)
GLib.Error: g-bd-utils-exec-error-quark: Process reported exit code 1280:   Volume group "fedora_dhcp4100" has insufficient free space (542 extents): 543 required.
 (0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/blivetgui/blivet_utils.py", line 1270, in blivet_do_it
    self.storage.doIt(callbacks=callbacks_reg)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 164, in doIt
    self.devicetree.processActions(callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 380, in processActions
    callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/actionlist.py", line 280, in process
    action.execute(callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/deviceaction.py", line 312, in execute
    self.device.create()
  File "/usr/lib/python3.4/site-packages/blivet/devices/storage.py", line 455, in create
    self._create()
  File "/usr/lib/python3.4/site-packages/blivet/devices/lvm.py", line 1493, in _create
    profile=profile_name)
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 416, in wrapped
    raise transform[1](msg)
gi.overrides.BlockDev.LVMError: Process reported exit code 1280:   Volume group "fedora_dhcp4100" has insufficient free space (542 extents): 543 required.
Comment 1 Vojtech Trefny 2015-08-24 08:10:29 EDT
Created attachment 1066339 [details]
blivet.log
Comment 2 Vojtech Trefny 2015-08-24 08:10:55 EDT
Created attachment 1066340 [details]
program.log
Comment 3 Vojtech Trefny 2015-08-24 08:11:31 EDT
Created attachment 1066341 [details]
python-meh exception dump
Comment 4 Jan Kurik 2016-02-24 08:39:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Fedora End Of Life 2017-07-25 15:11:18 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-08-08 08:09:44 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.